/*
 *
 *  MULti Core Operating System - MultiLayer Kernel (MULCOS-M)
 *            ITRON header for Cortex-M architecture
 *
 *               Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name   itron.h
 *
 *  May/15/2024 Created.
 *
 */

#ifndef ITRON_H
#define ITRON_H

#ifndef NULL
#define NULL    (0)
#endif

#define TRUE    1
#define FALSE   0

#define E_OK    0

/************************************
    Definition architecture
 ************************************/

#define TKERNEL_PRID_ARCH     0x0020

/************************************
    Data Types
 ************************************/

typedef signed char B;
typedef signed short H;
typedef signed long W;
typedef signed long long D;
typedef unsigned char UB;
typedef unsigned short UH;
typedef unsigned long UW;
typedef unsigned long long UD;
typedef char VB;
typedef short VH;
typedef long VW;
typedef long long VD;

typedef void *VP;
typedef void (*FP)(VP);

typedef unsigned long SIZE;
typedef unsigned long ADDR;

typedef long INT;
typedef unsigned long UINT;

typedef VP VP_INT;

typedef INT BOOL;
typedef INT FN;
typedef INT ER;
typedef INT ID;
typedef INT PRI;
typedef INT BOOL_ID;
typedef INT RDVNO;
typedef INT ER_ID;
typedef INT ER_UINT;
typedef UINT TEXPTN;
typedef UINT FLGPTN;
typedef UINT RDVPTN;
typedef UINT INHNO;
typedef UINT INTNO;
typedef UINT IMASK;
typedef UINT EXCNO;

typedef UINT ATR;
typedef UINT STAT;
typedef UINT MODE;

typedef struct t_systim {
    UW utime;
    UW ltime;
} SYSTIM;

typedef W TMO;

typedef UW RELTIM;
typedef UH OVRTIM;


#endif /* ITRON_H */
