/*
 *
 *           MULti Core Operating System - Tiny / Multilayer Kernel
 *                      Device header for RA6 SMSTP
 *
 *           Copyright (c) 2025 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       dv_ra6_mstp.h
 *
 *  Feb/02/2025     Created.
 *
 */

#ifndef _DV_RA6_MSTP_H_
#define _DV_RA6_MSTP_H_
#ifdef __cplusplus
extern "C" {
#endif

/* Base Address */

#if defined(_DV_RA6M5_H_) || defined(_DV_RA4M3_H_)
#define MSTP_BASE       0x40084000      /* MSTP Base address */
#elif defined(_DV_RA6M3_H_)
#define MSTP_BASE       0x40047000      /* MSTP Base address */
#else
#error "I/O definition file is undefined."
#endif


/* registers */
typedef struct {
    UW  MSTPCRA;         /* Module Stop Control Register A      */
    UW  MSTPCRB;         /* Module Stop Control Register B      */
    UW  MSTPCRC;         /* Module Stop Control Register C      */
    UW  MSTPCRD;         /* Module Stop Control Register D      */
    UW  MSTPCRE;         /* Module Stop Control Register E      */
    UH  LSMRWDIS;        /* Low Speed Module R/W Disable Control Register */
} T_RA6_MSTP; 


/* Port access structure */

#define REG_MSTP    (*(volatile T_RA6_MSTP *)MSTP_BASE)


#ifdef __cplusplus
}
#endif
#endif /* _DV_RA6_MSTP_H_ */
