/*
 *
 *           MULti Core Operating System - Tiny / Multilayer Kernel
 *                      Device for RA6M5
 *
 *           Copyright (c) 2022 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       dv_ra6m5.h
 *
 *  Feb/02/2025     Created.
 *
 */

#ifndef _DV_RA6M5_H_
#define _DV_RA6M5_H_


/* System Controller (SYSC) */
#include "dv_ra6_sysc.h"

/* CPU System Security Control Unit (CPSCU) */
#include "dv_ra6_cpscu.h"

/* Peripheral Security Control Unit (PSCU) */
#include "dv_ra6_pscu.h"

/* Interrupt Controller Unit (ICU) */
#include "dv_ra6_icu.h"

/* Pin Function Controller and PORT (PFS, PORT) */
#include "dv_ra6_pfs_port.h"

/* Flash memory controller (Flash) */
#include "dv_ra6_flash.h"

/* Sram memory controller (SRAM) */
#include "dv_ra6_sram.h"

/* Serial Communications Interface (SCI) */
#include "dv_ra6_sci.h"

/* System Module Stop control (MSTP) */
#include "dv_ra6_mstp.h"

/* Asynchronous General Purpose Timer(AGT) */
#include "dv_ra6_agt.h"

/* Please edit as necessary */

/* Kvȃwb_t@CCN[h */

#endif /* _DV_RA6M5_H_ */
